#pragma once

#include <BWAPI.h>
#include "CUnit.h"

using namespace BWAPI;

class Squad//alah, we are off
{
public:
	Squad();

	std::string action;
	int airDamage;
	BWAPI::TilePosition center;
	int groundDamage;
	BWAPI::TilePosition target;
	std::vector<CUnit> units;

	void addUnit(CUnit unit);
	void attack(std::pair<TilePosition, int> baseToAttack);;
	bool contains(CUnit unit);
	bool containsType(UnitType ut);
	void freeDrones();
	void updateCenter();
	void updateDamage();
};